org.springframework.cloud.dataflow.server.service.impl

## Class DefaultLauncherService

- java.lang.Object
- - org.springframework.cloud.dataflow.server.service.impl.DefaultLauncherService

- All Implemented Interfaces:
    LauncherService

      public class DefaultLauncherService
      extends Object
      implements LauncherService

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultLauncherService(LauncherRepository launcherRepository)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.springframework.data.domain.Page<Launcher>` | `getAllLaunchers(org.springframework.data.domain.Pageable pageable)` Retrieve all launchers that are available.
    `org.springframework.data.domain.Page<Launcher>` | `getLaunchersWithSchedules(org.springframework.data.domain.Pageable pageable)` Retrieve all launchers that are configured to a platform scheduler.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultLauncherService

          public DefaultLauncherService(LauncherRepository launcherRepository)

  - ### Method Detail

    - #### getAllLaunchers

          public org.springframework.data.domain.Page<Launcher> getAllLaunchers(org.springframework.data.domain.Pageable pageable)

      Description copied from interface: `LauncherService`
      Retrieve all launchers that are available.
      Specified by:
        `getAllLaunchers` in interface `LauncherService`
      Parameters:
        `pageable` - how the results should be returned.
      Returns:
        a Page containing the available launchers.

    - #### getLaunchersWithSchedules

          public org.springframework.data.domain.Page<Launcher> getLaunchersWithSchedules(org.springframework.data.domain.Pageable pageable)

      Description copied from interface: `LauncherService`
      Retrieve all launchers that are configured to a platform scheduler.
      Specified by:
        `getLaunchersWithSchedules` in interface `LauncherService`
      Parameters:
        `pageable` - how the results should be returned.
      Returns:
        a Page containing the available launchers.

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.